
#ifndef __ZOOM_PLUGIN_H__
#define __ZOOM_PLUGIN_H__

#include <kiba-plugin.h>
#include <kiba-win.h>

#define PLUGIN_NAME "zoom"

typedef struct _KibaZoom KibaZoom;

struct _KibaZoom {
	KibaPlugin *plugin;
	KibaWin *win;
	gpointer *current_mode;
	// preferences
	float cfg_magnitude;
	float cfg_influence;
};

gpointer parabolic_zoom_init(KibaZoom *zoom);
void parabolic_zoom_fini(gpointer parabolic_zoom);

#endif
